<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ExoIconBar: Exo Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Exo Reference Manual">
<link rel="up" href="exo-widgets.html" title="Part III. Additional widgets">
<link rel="prev" href="exo-widgets.html" title="Part III. Additional widgets">
<link rel="next" href="ExoIconChooserDialog.html" title="ExoIconChooserDialog">
<meta name="generator" content="GTK-Doc V1.24 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#ExoIconBar.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#ExoIconBar.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#ExoIconBar.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#ExoIconBar.properties" class="shortcut">Properties</a></span><span id="nav_style_properties">  <span class="dim">|</span> 
                  <a href="#ExoIconBar.style-properties" class="shortcut">Style Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#ExoIconBar.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="exo-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="exo-widgets.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ExoIconChooserDialog.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="ExoIconBar"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="ExoIconBar.top_of_page"></a>ExoIconBar</span></h2>
<p>ExoIconBar — A widget for displaying icon bars</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="ExoIconBar.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-new" title="exo_icon_bar_new ()">exo_icon_bar_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-new-with-model" title="exo_icon_bar_new_with_model ()">exo_icon_bar_new_with_model</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="returnvalue">GtkTreeModel</span></a> *
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-get-model" title="exo_icon_bar_get_model ()">exo_icon_bar_get_model</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-model" title="exo_icon_bar_set_model ()">exo_icon_bar_set_model</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-get-pixbuf-column" title="exo_icon_bar_get_pixbuf_column ()">exo_icon_bar_get_pixbuf_column</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-pixbuf-column" title="exo_icon_bar_set_pixbuf_column ()">exo_icon_bar_set_pixbuf_column</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-get-text-column" title="exo_icon_bar_get_text_column ()">exo_icon_bar_get_text_column</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-text-column" title="exo_icon_bar_set_text_column ()">exo_icon_bar_set_text_column</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GtkOrientation"><span class="returnvalue">GtkOrientation</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-get-orientation" title="exo_icon_bar_get_orientation ()">exo_icon_bar_get_orientation</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-orientation" title="exo_icon_bar_set_orientation ()">exo_icon_bar_set_orientation</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-get-active" title="exo_icon_bar_get_active ()">exo_icon_bar_get_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-active" title="exo_icon_bar_set_active ()">exo_icon_bar_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-get-active-iter" title="exo_icon_bar_get_active_iter ()">exo_icon_bar_get_active_iter</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-active-iter" title="exo_icon_bar_set_active_iter ()">exo_icon_bar_set_active_iter</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoIconBar.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--active" title="The “active” property">active</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--model" title="The “model” property">model</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a></td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--orientation" title="The “orientation” property">orientation</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--pixbuf-column" title="The “pixbuf-column” property">pixbuf-column</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--text-column" title="The “text-column” property">text-column</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoIconBar.style-properties"></a><h2>Style Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="style_properties_type">
<col width="300px" class="style_properties_name">
<col width="200px" class="style_properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--s-active-item-border-color" title="The “active-item-border-color” style property">active-item-border-color</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--s-active-item-fill-color" title="The “active-item-fill-color” style property">active-item-fill-color</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--s-active-item-text-color" title="The “active-item-text-color” style property">active-item-text-color</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--s-cursor-item-border-color" title="The “cursor-item-border-color” style property">cursor-item-border-color</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--s-cursor-item-fill-color" title="The “cursor-item-fill-color” style property">cursor-item-fill-color</a></td>
<td class="property_flags">Read</td>
</tr>
<tr>
<td class="property_type">
<a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</td>
<td class="property_name"><a class="link" href="ExoIconBar.html#ExoIconBar--s-cursor-item-text-color" title="The “cursor-item-text-color” style property">cursor-item-text-color</a></td>
<td class="property_flags">Read</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoIconBar.signals"></a><h2>Signals</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="ExoIconBar.html#ExoIconBar-selection-changed" title="The “selection-changed” signal">selection-changed</a></td>
<td class="signal_flags"><a href="https://developer.gnome.org/gobject/unstable/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr>
<tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="ExoIconBar.html#ExoIconBar-set-scroll-adjustments" title="The “set-scroll-adjustments” signal">set-scroll-adjustments</a></td>
<td class="signal_flags"><a href="https://developer.gnome.org/gobject/unstable/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoIconBar.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="ExoIconBar.html#ExoIconBar-struct" title="struct ExoIconBar">ExoIconBar</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="ExoIconBar.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="https://developer.gnome.org/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="https://developer.gnome.org/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> GtkObject
            <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkWidget.html">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="http://developer.gnome.org/gtk2/GtkContainer.html">GtkContainer</a>
                    <span class="lineart">╰──</span> ExoIconBar
</pre>
</div>
<div class="refsect1">
<a name="ExoIconBar.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
ExoIconBar implements
 <a href="/usr/share/gtk-doc/html/atk/AtkObject.html#AtkImplementorIface">AtkImplementorIface</a> and  <a href="http://developer.gnome.org/gtk2/GtkBuildable.html">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="ExoIconBar.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;exo/exo.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="ExoIconBar.description"></a><h2>Description</h2>
<p>A widget that displays any object that implements the <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a> interface
in an icon bar.</p>
<div class="example">
<a name="id-1.4.4.11.3"></a><p class="title"><b>Example 1. 
  Creating a new <span class="structname">ExoIconBar</span> with a <span class="structname">GtkListStore</span>
</b></p>
<div class="example-contents"><pre class="programlisting">
enum
{
  PIXBUF_COLUMN,
  STRING_COLUMN,
  N_COLUMNS,
};

{
  GtkListStore *store;
  GtkWidget    *bar;

  // make a new list store
  store = gtk_list_store_new (N_COLUMNS, GDK_TYPE_PIXBUF, G_TYPE_STRING);

  // fill the store with data
  fill_store (store);

  // create the icon bar
  bar = exo_icon_bar_new_with_model (GTK_TREE_MODEL (store));
  exo_icon_bar_set_pixbuf_column (EXO_ICON_BAR (bar), PIXBUF_COLUMN);
  exo_icon_bar_set_text_column (EXO_ICON_BAR (bar), TEXT_COLUMN);
  gtk_widget_show (bar);

  // the icon bar keeps a reference on the store now
  g_object_unref (G_OBJECT (store));

  // add the bar to your GUI now...
}
</pre></div>
</div>
<br class="example-break">
</div>
<div class="refsect1">
<a name="ExoIconBar.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="exo-icon-bar-new"></a><h3>exo_icon_bar_new ()</h3>
<pre class="programlisting"><a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
exo_icon_bar_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Creates a new <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> without model.</p>
<div class="refsect3">
<a name="id-1.4.4.12.2.5"></a><h4>Returns</h4>
<p> a newly allocated <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-new-with-model"></a><h3>exo_icon_bar_new_with_model ()</h3>
<pre class="programlisting"><a href="http://developer.gnome.org/gtk2/GtkWidget.html"><span class="returnvalue">GtkWidget</span></a> *
exo_icon_bar_new_with_model (<em class="parameter"><code><a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a> *model</code></em>);</pre>
<p>Creates a new <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> and associates it with
<em class="parameter"><code>model</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.4.12.3.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>model</p></td>
<td class="parameter_description"><p>A <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.3.6"></a><h4>Returns</h4>
<p> a newly allocated <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>, which is associated with <em class="parameter"><code>model</code></em>
.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-get-model"></a><h3>exo_icon_bar_get_model ()</h3>
<pre class="programlisting"><a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="returnvalue">GtkTreeModel</span></a> *
exo_icon_bar_get_model (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>);</pre>
<p>Returns the model the <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> is based on. Returns <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if
the model is unset.</p>
<div class="refsect3">
<a name="id-1.4.4.12.4.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>A <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.4.6"></a><h4>Returns</h4>
<p> A <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a>, or <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if none is currently being used.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-set-model"></a><h3>exo_icon_bar_set_model ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_icon_bar_set_model (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                        <em class="parameter"><code><a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a> *model</code></em>);</pre>
<p>Sets the model for a <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>. If the <em class="parameter"><code>icon_bar</code></em>
 already has a model
set, it will remove it before settings the new model. If <em class="parameter"><code>model</code></em>
 is <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>,
then it will unset the old model.</p>
<div class="refsect3">
<a name="id-1.4.4.12.5.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>A <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>model</p></td>
<td class="parameter_description"><p>A <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a> or <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-get-pixbuf-column"></a><h3>exo_icon_bar_get_pixbuf_column ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
exo_icon_bar_get_pixbuf_column (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>);</pre>
<p>Returns the column with pixbufs for <em class="parameter"><code>icon_bar</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.4.12.6.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.6.6"></a><h4>Returns</h4>
<p> the pixbuf column, or -1 if it's unset.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-set-pixbuf-column"></a><h3>exo_icon_bar_set_pixbuf_column ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_icon_bar_set_pixbuf_column (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                                <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a> column</code></em>);</pre>
<p>Sets the column with pixbufs for <em class="parameter"><code>icon_bar</code></em>
 to be <em class="parameter"><code>column</code></em>
. The pixbuf
column must be of type <span class="type">GDK_TYPE_PIXBUF</span>.</p>
<div class="refsect3">
<a name="id-1.4.4.12.7.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>column</p></td>
<td class="parameter_description"><p>A column in the currently used model.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-get-text-column"></a><h3>exo_icon_bar_get_text_column ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
exo_icon_bar_get_text_column (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>);</pre>
<p>Returns the column with text for <em class="parameter"><code>icon_bar</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.4.12.8.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.8.6"></a><h4>Returns</h4>
<p> the text column, or -1 if it's unset.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-set-text-column"></a><h3>exo_icon_bar_set_text_column ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_icon_bar_set_text_column (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                              <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a> column</code></em>);</pre>
<p>Sets the column with text for <em class="parameter"><code>icon_bar</code></em>
 to be <em class="parameter"><code>column</code></em>
. The
text column must be of type <a href="https://developer.gnome.org/gobject/unstable/gobject-Type-Information.html#G-TYPE-STRING:CAPS"><span class="type">G_TYPE_STRING</span></a>.</p>
<div class="refsect3">
<a name="id-1.4.4.12.9.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>column</p></td>
<td class="parameter_description"><p>A column in the currently used model or -1 to
use no text in <em class="parameter"><code>icon_bar</code></em>
.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-get-orientation"></a><h3>exo_icon_bar_get_orientation ()</h3>
<pre class="programlisting"><a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GtkOrientation"><span class="returnvalue">GtkOrientation</span></a>
exo_icon_bar_get_orientation (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>);</pre>
<p>Retrieves the current orientation of the toolbar. See
<a class="link" href="ExoIconBar.html#exo-icon-bar-set-orientation" title="exo_icon_bar_set_orientation ()"><code class="function">exo_icon_bar_set_orientation()</code></a>.</p>
<div class="refsect3">
<a name="id-1.4.4.12.10.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.10.6"></a><h4>Returns</h4>
<p> The orientation of <em class="parameter"><code>icon_bar</code></em>
.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-set-orientation"></a><h3>exo_icon_bar_set_orientation ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_icon_bar_set_orientation (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                              <em class="parameter"><code><a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a> orientation</code></em>);</pre>
<p>Sets whether the <em class="parameter"><code>icon_bar</code></em>
 should appear horizontally
or vertically.</p>
<div class="refsect3">
<a name="id-1.4.4.12.11.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>orientation</p></td>
<td class="parameter_description"><p>A new <a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-get-active"></a><h3>exo_icon_bar_get_active ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="returnvalue">gint</span></a>
exo_icon_bar_get_active (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>);</pre>
<p>Returns the index of the currently active item, or -1 if there's no
active item.</p>
<div class="refsect3">
<a name="id-1.4.4.12.12.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.12.6"></a><h4>Returns</h4>
<p> An integer which is the index of the currently active item,
or -1 if there's no active item.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-set-active"></a><h3>exo_icon_bar_set_active ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_icon_bar_set_active (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                         <em class="parameter"><code><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a> idx</code></em>);</pre>
<p>Sets the active item of <em class="parameter"><code>icon_bar</code></em>
 to be the item at <em class="parameter"><code>idx</code></em>
.</p>
<div class="refsect3">
<a name="id-1.4.4.12.13.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>idx</p></td>
<td class="parameter_description"><p>An index in the model passed during construction,
or -1 to have no active item.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-get-active-iter"></a><h3>exo_icon_bar_get_active_iter ()</h3>
<pre class="programlisting"><a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
exo_icon_bar_get_active_iter (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                              <em class="parameter"><code><a href="http://developer.gnome.org/gtk2/GtkTreeModel.html#GtkTreeIter"><span class="type">GtkTreeIter</span></a> *iter</code></em>);</pre>
<p>Sets <em class="parameter"><code>iter</code></em>
 to point to the current active item, if it exists.</p>
<div class="refsect3">
<a name="id-1.4.4.12.14.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>iter</p></td>
<td class="parameter_description"><p>An uninitialized <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html#GtkTreeIter"><span class="type">GtkTreeIter</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="id-1.4.4.12.14.6"></a><h4>Returns</h4>
<p> <a href="https://developer.gnome.org/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if <em class="parameter"><code>iter</code></em>
was set.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="exo-icon-bar-set-active-iter"></a><h3>exo_icon_bar_set_active_iter ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
exo_icon_bar_set_active_iter (<em class="parameter"><code><a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar</code></em>,
                              <em class="parameter"><code><a href="http://developer.gnome.org/gtk2/GtkTreeModel.html#GtkTreeIter"><span class="type">GtkTreeIter</span></a> *iter</code></em>);</pre>
<p>Sets the current active item to be the one referenced by <em class="parameter"><code>iter</code></em>
. <em class="parameter"><code>iter</code></em>

must correspond to a path of depth one.</p>
<p>This can only be called if <em class="parameter"><code>icon_bar</code></em>
 is associated with <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a>.</p>
<div class="refsect3">
<a name="id-1.4.4.12.15.6"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>An <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>iter</p></td>
<td class="parameter_description"><p>The <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html#GtkTreeIter"><span class="type">GtkTreeIter</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="ExoIconBar.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="ExoIconBar-struct"></a><h3>struct ExoIconBar</h3>
<pre class="programlisting">struct ExoIconBar;</pre>
<p>The <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> struct contains only private fields and should not
be directly accessed.</p>
</div>
</div>
<div class="refsect1">
<a name="ExoIconBar.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="ExoIconBar--active"></a><h3>The <code class="literal">“active”</code> property</h3>
<pre class="programlisting">  “active”                   <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The item which is currently active.</p>
<p>Allowed values: &gt;= -1</p>
<p>Default value: -1</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &gt;= -1</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--model"></a><h3>The <code class="literal">“model”</code> property</h3>
<pre class="programlisting">  “model”                    <a href="http://developer.gnome.org/gtk2/GtkTreeModel.html"><span class="type">GtkTreeModel</span></a> *</pre>
<p>The model for the icon bar.</p>
<p>Flags: Read / Write</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--orientation"></a><h3>The <code class="literal">“orientation”</code> property</h3>
<pre class="programlisting">  “orientation”              <a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a></pre>
<p>The orientation of the icon bar.</p>
<p>Default value: <a href="http://developer.gnome.org/gtk2/gtk3-Standard-Enumerations.html#GTK-ORIENTATION-VERTICAL:CAPS"><code class="literal">GTK_ORIENTATION_VERTICAL</code></a></p>
<p>Flags: Read / Write</p>
<p>Default value: GTK_ORIENTATION_VERTICAL</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--pixbuf-column"></a><h3>The <code class="literal">“pixbuf-column”</code> property</h3>
<pre class="programlisting">  “pixbuf-column”            <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The ::pixbuf-column property contains the number of the model column
containing the pixbufs which are displyed. The pixbuf column must be
of type <span class="type">GDK_TYPE_PIXBUF</span>. Setting this property to -1 turns off the
display of pixbufs.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &gt;= -1</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--text-column"></a><h3>The <code class="literal">“text-column”</code> property</h3>
<pre class="programlisting">  “text-column”              <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The ::text-column property contains the number of the model column
containing the texts which are displayed. The text column must be
of type <a href="https://developer.gnome.org/gobject/unstable/gobject-Type-Information.html#G-TYPE-STRING:CAPS"><span class="type">G_TYPE_STRING</span></a>. If this property is set to -1, no texts
are displayed.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &gt;= -1</p>
<p>Default value: -1</p>
</div>
</div>
<div class="refsect1">
<a name="ExoIconBar.style-property-details"></a><h2>Style Property Details</h2>
<div class="refsect2">
<a name="ExoIconBar--s-active-item-border-color"></a><h3>The <code class="literal">“active-item-border-color”</code> style property</h3>
<pre class="programlisting">  “active-item-border-color” <a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</pre>
<p>Active item border color.</p>
<p>Flags: Read</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--s-active-item-fill-color"></a><h3>The <code class="literal">“active-item-fill-color”</code> style property</h3>
<pre class="programlisting">  “active-item-fill-color”   <a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</pre>
<p>Active item fill color.</p>
<p>Flags: Read</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--s-active-item-text-color"></a><h3>The <code class="literal">“active-item-text-color”</code> style property</h3>
<pre class="programlisting">  “active-item-text-color”   <a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</pre>
<p>Active item text color.</p>
<p>Flags: Read</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--s-cursor-item-border-color"></a><h3>The <code class="literal">“cursor-item-border-color”</code> style property</h3>
<pre class="programlisting">  “cursor-item-border-color” <a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</pre>
<p>Cursor item border color.</p>
<p>Flags: Read</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--s-cursor-item-fill-color"></a><h3>The <code class="literal">“cursor-item-fill-color”</code> style property</h3>
<pre class="programlisting">  “cursor-item-fill-color”   <a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</pre>
<p>Cursor item fill color.</p>
<p>Flags: Read</p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar--s-cursor-item-text-color"></a><h3>The <code class="literal">“cursor-item-text-color”</code> style property</h3>
<pre class="programlisting">  “cursor-item-text-color”   <a href="http://developer.gnome.org/gdk2/gdk3-Colors.html#GdkColor"><span class="type">GdkColor</span></a> *</pre>
<p>Cursor item text color.</p>
<p>Flags: Read</p>
</div>
</div>
<div class="refsect1">
<a name="ExoIconBar.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="ExoIconBar-selection-changed"></a><h3>The <code class="literal">“selection-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> *icon_bar,
               <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>    user_data)</pre>
<p>This signal is emitted whenever the currently selected icon
changes.</p>
<div class="refsect3">
<a name="id-1.4.4.16.2.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>The <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="https://developer.gnome.org/gobject/unstable/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
<hr>
<div class="refsect2">
<a name="ExoIconBar-set-scroll-adjustments"></a><h3>The <code class="literal">“set-scroll-adjustments”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>    *icon_bar,
               <a href="http://developer.gnome.org/gtk2/GtkAdjustment.html"><span class="type">GtkAdjustment</span></a> *hadjustment,
               <a href="http://developer.gnome.org/gtk2/GtkAdjustment.html"><span class="type">GtkAdjustment</span></a> *vadjustment,
               <a href="https://developer.gnome.org/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>       user_data)</pre>
<p>Used internally to make the <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a> scrollable.</p>
<div class="refsect3">
<a name="id-1.4.4.16.3.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>icon_bar</p></td>
<td class="parameter_description"><p>The <a class="link" href="ExoIconBar.html" title="ExoIconBar"><span class="type">ExoIconBar</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>hadjustment</p></td>
<td class="parameter_description"><p>The horizontal adjustment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>vadjustment</p></td>
<td class="parameter_description"><p>The vertical adjustment.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="https://developer.gnome.org/gobject/unstable/gobject-Signals.html#G-SIGNAL-RUN-LAST:CAPS">Run Last</a></p>
</div>
</div>
<div class="refsect1">
<a name="ExoIconBar.see-also"></a><h2>See Also</h2>
<a class="ulink" href="http://library.gnome.org/devel/gtk/stable/GtkTreeModel.html" target="_top">
           GtkTreeModel</a>,
<a class="ulink" href="http://library.gnome.org/devel/gtk/stable/TreeWidget.html" target="_top">
           Tree and List Widget Overview</a>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.24</div>
</body>
</html>